Subject: bug#1305: All code that currently beeps should use visual bell instead

From: Stefan Kangas <[email-masked]>
Date: Wed, 28 Apr 2021 03:08:30 -0700

Lars Ingebrigtsen <[email-masked]> writes:

> So we'd change the default of the former to be a new visible bell
> function (for instance something that works the same as the visible bell
> on GNU/Linux systems, but across all systems (or one of the new proposed
> visible bell functions)), and deprecate `visible-bell'.  I think that
> should be a pretty un-annoying way forward.

Fully agreed; it's an improvement over my proposal.

This is currently handled in different ways on different platforms, so I
we might want to clean that up a bit while we're at it.

The main thing remaining, besides writing the actual patch, is to decide
what the visual bell should look like.  I am currently running with
Gregory's patch for testing; it would useful if others carried out
similar experiments with one or more variations mentioned in this thread
and reported back.